Skip to main content
POST
/
2025-04
/
retail-media
/
accounts
/
{account-id}
/
audiences
/
search
/2025-04/retail-media/accounts/{account-id}/audiences/search
curl --request POST \
  --url https://api.criteo.com/2025-04/retail-media/accounts/{account-id}/audiences/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "audienceIds": [
        "<string>"
      ],
      "audienceSegmentIds": [
        "<string>"
      ],
      "retailerIds": [
        "<string>"
      ]
    },
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-04/retail-media/accounts/{account-id}/audiences/search"

payload = { "data": {
"attributes": {
"audienceIds": ["<string>"],
"audienceSegmentIds": ["<string>"],
"retailerIds": ["<string>"]
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
audienceIds: ['<string>'],
audienceSegmentIds: ['<string>'],
retailerIds: ['<string>']
},
type: '<string>'
}
})
};

fetch('https://api.criteo.com/2025-04/retail-media/accounts/{account-id}/audiences/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {
        "accountId": "<string>",
        "algebra": {
          "and": "<array>",
          "audienceSegmentId": "<string>",
          "not": "<unknown>",
          "or": "<array>"
        },
        "channels": [],
        "createdAt": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "description": "<string>",
        "name": "<string>",
        "retailerId": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "meta": {
    "limit": 123,
    "offset": 123,
    "totalItems": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

Account Id

Query Parameters

limit
integer<int32>
default:50

The number of elements to be returned. The default is 50 and the maximum is 500.

Required range: 0 <= x <= 500
offset
integer<int32>
default:0

The (zero-based) offset into the collection. The default is 0.

Body

application/json

Audience search filters.

A top-level object that encapsulates a Criteo API request for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities and metadata

data
object[] | null
errors
object[] | null
read-only
meta
object | null

Metadata for the audience search response.

warnings
object[] | null
read-only